Get list by listId
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"userId": "33d01d57-4bfa-4a14-bacc-036617ec02b9",
"name": "Summer List",
"listType": "Wishlist",
"notes": "Summer List",
"count": 10,
"attributes": {
"approver": "Jone Doe"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "LIST_TYPE_NOT_FOUND",
"message": "List type ID not found"
}{
"code": "<string>",
"message": "<string>"
}List
Get list by listId
Get list by listId
GET
/
api-list
/
list
/
{listId}
Get list by listId
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Example:
"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"
Path Parameters
Response
List for specific listId
Example:
"5fee9d59f2f08a1b3cbdea08"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"33d01d57-4bfa-4a14-bacc-036617ec02b9"
Minimum string length:
3Example:
"Summer List"
Example:
"Wishlist"
Example:
"Summer List"
Example:
10
Example:
{ "approver": "Jone Doe" }
Was this page helpful?
